### File

`packages/components/eui-icon-state/eui-icon-state.component.ts`

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSuccess euiInfo euiWarning euiDanger euiVariant
selector | `eui-icon-state`
imports | `EUI_ICON`
templateUrl | `./eui-icon-state.component.html`
styleUrl | `./eui-icon-state.component.scss`

### Index

###### Properties
baseStatesDirective
###### Inputs
ariaLabel size
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

ariaLabel
Type : `string`

size
Type : `"2xs" | "xs" | "s" | "m" | "l" | "xl" | "2xl" | "3xl" | "4xl"`
Default value : `'m'`

### HostBindings

class
Type : `string`

### Properties

baseStatesDirective
Default value : `inject(BaseStatesDirective)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""